Package org.springframework.test.annotation

# Class ProfileValueUtils

java.lang.Object
org.springframework.test.annotation.ProfileValueUtils

public abstract class ProfileValueUtils extends Object
General utility methods for working with profile values.

Since:
  2.5
Author:
  Sam Brannen, Juergen Hoeller
See Also:
  - `ProfileValueSource`
  - `ProfileValueSourceConfiguration`
  - `IfProfileValue`

## Constructor Summary

Constructors
Constructor
Description
`ProfileValueUtils()`

## Method Summary

Modifier and Type
Method
Description
`static boolean`
`isTestEnabledInThisEnvironment(Class<?> testClass)`
Determine if the supplied `testClass` is enabled in the current environment, as specified by the `@IfProfileValue` annotation at the class level.
`static boolean`
`isTestEnabledInThisEnvironment(Method testMethod, Class<?> testClass)`
Determine if the supplied `testMethod` is enabled in the current environment, as specified by the `@IfProfileValue` annotation, which may be declared on the test method itself or at the class level.
`static boolean`
`isTestEnabledInThisEnvironment(ProfileValueSource profileValueSource, Method testMethod, Class<?> testClass)`
Determine if the supplied `testMethod` is enabled in the current environment, as specified by the `@IfProfileValue` annotation, which may be declared on the test method itself or at the class level.
`static ProfileValueSource`
`retrieveProfileValueSource(Class<?> testClass)`
Retrieves the `ProfileValueSource` type for the specified `test class` as configured via the `@ProfileValueSourceConfiguration` annotation and instantiates a new instance of that type.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ProfileValueUtils

public ProfileValueUtils()

## Method Details

### retrieveProfileValueSource

public static ProfileValueSource retrieveProfileValueSource(Class<?> testClass)
Retrieves the `ProfileValueSource` type for the specified `test class` as configured via the `@ProfileValueSourceConfiguration` annotation and instantiates a new instance of that type.

If `@ProfileValueSourceConfiguration` is not present on the specified class or if a custom `ProfileValueSource` is not declared, the default `SystemProfileValueSource` will be returned instead.

Parameters:
  `testClass` - the test class for which the ProfileValueSource should be retrieved
Returns:
  the configured (or default) ProfileValueSource for the specified class
See Also:
  - `SystemProfileValueSource`

### isTestEnabledInThisEnvironment

public static boolean isTestEnabledInThisEnvironment(Class<?> testClass)
Determine if the supplied `testClass` is enabled in the current environment, as specified by the `@IfProfileValue` annotation at the class level.

Defaults to `true` if no `@IfProfileValue` annotation is declared.

Parameters:
  `testClass` - the test class
Returns:
  `true` if the test is enabled in the current environment

### isTestEnabledInThisEnvironment

public static boolean isTestEnabledInThisEnvironment(Method testMethod, Class<?> testClass)
Determine if the supplied `testMethod` is enabled in the current environment, as specified by the `@IfProfileValue` annotation, which may be declared on the test method itself or at the class level. Class-level usage overrides method-level usage.

Defaults to `true` if no `@IfProfileValue` annotation is declared.

Parameters:
  `testMethod` - the test method
  `testClass` - the test class
Returns:
  `true` if the test is enabled in the current environment

### isTestEnabledInThisEnvironment

public static boolean isTestEnabledInThisEnvironment(ProfileValueSource profileValueSource, Method testMethod, Class<?> testClass)
Determine if the supplied `testMethod` is enabled in the current environment, as specified by the `@IfProfileValue` annotation, which may be declared on the test method itself or at the class level. Class-level usage overrides method-level usage.

Defaults to `true` if no `@IfProfileValue` annotation is declared.

Parameters:
  `profileValueSource` - the ProfileValueSource to use to determine if the test is enabled
  `testMethod` - the test method
  `testClass` - the test class
Returns:
  `true` if the test is enabled in the current environment